from django.urls import path,include
from .views import ArticleViewSet, MaterialViewSet, SourceViewSet, ThresholdViewSet, ConpamyInfoViewSet, ChildrenCompanyViewSet
from rest_framework import routers


router = routers.DefaultRouter()
router.register('article', ArticleViewSet, basename="article")
router.register('material', MaterialViewSet, basename="material")
router.register('source', SourceViewSet, basename='source')
router.register('threshold', ThresholdViewSet, basename='threshold')
router.register('company', ConpamyInfoViewSet, basename='company')
router.register('childcomany', ChildrenCompanyViewSet, basename='child_company')

urlpatterns = [
    path('', include(router.urls)),
]
